Subject: Re: [PATCH] setup: do not create $X/gitdir unnecessarily when accessing git file $X

From: Junio C Hamano <[email-masked]>
Date: Mon, 02 Nov 2015 12:51:16 -0800

Jeff King <[email-masked]> writes:

> [2] I suspect this code should use write_file_gently(). What happens if
>     I have a read-only linked checkout?

Or you may not be the owner of the repository, you think you are
doing a read-only operation, and you silently end up creating a file
that cannot be written by the repository owner?

Honestly, I think this whole "just in case the user moved without
telling us, we sneakily fix things without telling the user" should
just go away.  This is not the first incidence of a tool trying to
be overly clever and pretend to know better than the end user biting
us, is it?